package com.th.demo.mapping.ware;

import com.th.demo.model.ware.Distribution;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DistributionMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(Distribution record);

    int insertSelective(Distribution record);

    Distribution selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Distribution record);

    int updateByPrimaryKey(Distribution record);

    List<Distribution> selectWaitTrucks(String userId, String belongId);

    Distribution selectByTruckNo(String truckNo, String belongId);

//    取消出库修改cancle_flag字段
    int updateCancleFlag(@Param("distributionId") String distributionId,@Param("outId") String outId);

//    根据主表id修改出库状态
    int updateOutStatus(@Param("storeId") String storeId);

//    查询未出库状态,出库单存在的数据
    List<String> selectWaitOutIds();
}